<?php # -*- coding: utf-8 mode: php -*- vim:sw=2:sts=2:et:ai:si:sta:fenc=utf-8
require(__DIR__.'/../../vendor/autoload.php');

use nulib\output\msg;
use nur\cli\Application;

class TestArgs4 extends Application {
  protected $query;

  function main() {
    msg::info(["query=", $this->query]);
  }
}
if (getenv("TA4") === "bad") {
  TestArgs4::run(new class extends TestArgs4 {
    const ARGS = [
      "merge" => Application::ARGS,
      # avant la modification du 13/05/2024
      # la section par défaut est située AVANT les autres sections. les sections
      # définies ont donc la priorité
      # l'option -q ci-dessous est masquée par l'option  -q,--quiet
      ["-q", "--query", "args" => "value"],
    ];
  });
} else {
  TestArgs4::run(new class extends TestArgs4 {
    const ARGS = [
      "merge" => Application::ARGS,
      "sections" => [
        [
          "title" => "QUERY",
          # en mettant l'option dans une autre section, l'ordre est respecté et
          # donc -q n'est plus masqué
          ["-q", "--query", "args" => "value"],
        ],
      ],
    ];
  });
}
